/*
 * Copyright (c) 1999 Apple Computer, Inc. All rights reserved.
 *
 * @APPLE_LICENSE_HEADER_START@
 * 
 * Copyright (c) 1999 Apple Computer, Inc.  All Rights Reserved.
 * The contents of this file constitute Original Code as defined in and are 
 * subject to the Apple Public Source License Version 1.1 (the "License").  
 * You may not use this file except in compliance with the License.  Please 
 * obtain a copy of the License at http://www.apple.com/publicsource and 
 * read it before using this file.
 * 
 * This Original Code and all software distributed under the License are 
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, EITHER 
 * EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES, 
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS 
 * FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT.  Please see the License for 
 * the specific language governing rights and limitations under the 
 * License.
 * 
 * 
 * @APPLE_LICENSE_HEADER_END@
 */
/*
	File:		QTSSFileModule.h

	Contains:	Content source module that uses the QTFileLib to serve Hinted QuickTime
				files to clients. 
					
	$Log: QTSSFileModule.h,v $
	Revision 1.2  2000/03/07 22:02:28  serenyi
	extern "C"d module functions
	
	Revision 1.1.1.1  2000/01/17 23:35:55  wsanchez
	Import of StreamingServer-2.0 (Apple)
	
	Revision 1.3  1999/12/21 01:43:23  lecroy
	*** empty log message ***
	
	Revision 1.2  1999/09/24 21:19:58  rtucker
	added code for client tcp flow control debugging
	
	Revision 1.1.1.1  1999/09/13 16:16:32  rtucker
	initial checkin from rrv14
	
	
	Revision 1.2  1999/02/19 23:07:22  ds
	Created
	

*/

#ifndef _RTPFILEMODULE_H_
#define _RTPFILEMODULE_H_

#include "QTSS.h"

extern "C"
{
	QTSS_Error QTSSFileModule_Main(void* inPrivateArgs);
}

#endif //_RTPFILEMODULE_H_