/*
 * Copyright (c) 1999 Apple Computer, Inc. All rights reserved.
 *
 * @APPLE_LICENSE_HEADER_START@
 * 
 * Copyright (c) 1999 Apple Computer, Inc.  All Rights Reserved.
 * The contents of this file constitute Original Code as defined in and are 
 * subject to the Apple Public Source License Version 1.1 (the "License").  
 * You may not use this file except in compliance with the License.  Please 
 * obtain a copy of the License at http://www.apple.com/publicsource and 
 * read it before using this file.
 * 
 * This Original Code and all software distributed under the License are 
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, EITHER 
 * EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES, 
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS 
 * FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT.  Please see the License for 
 * the specific language governing rights and limitations under the 
 * License.
 * 
 * 
 * @APPLE_LICENSE_HEADER_END@

	Contains:	Static utilities for translating strings from one encoding scheme to
				another. For example, routines for encoding and decoding URLs
				
	$Log: StringTranslator.h,v $
	Revision 1.1.1.1  2000/01/17 23:35:58  wsanchez
	Import of StreamingServer-2.0 (Apple)
	
	Revision 1.4  1999/12/21 01:43:36  lecroy
	*** empty log message ***
	
	Revision 1.3  1999/10/26 09:16:15  serenyi
	DecodeURL function now also strips out ".." and "." path sections
	
	Revision 1.2  1999/10/07 08:55:02  serenyi
	Changed bool to Bool16, changed QTSS_Dictionary to QTSS_Object
	
	Revision 1.1.1.1  1999/09/22 23:01:21  lecroy
	importing
	
	Revision 1.1.1.1  1999/09/13 16:16:39  rtucker
	initial checkin from rrv14
	
	
	Revision 1.2  1999/02/19 23:13:21  ds
	Created
	
	
*/

#ifndef __STRINGTRANSLATOR_H__
#define __STRINGTRANSLATOR_H__

#include "OSHeaders.h"

#define STRINGTRANSLATORTESTING 1

class StringTranslator
{
	public:
	
		//DecodeURL:
		//
		// This function does 2 things: Decodes % encoded characters in URLs, and strips out
		// any ".." or "." complete filenames from the URL. Writes the result into ioDest.
		//
		//If successful, returns the length of the destination string.
		//If failure, returns an QTSS errorcode: QTSS_BadURLFormat, QTSS_NotEnoughSpace,
		//QTSS_BadArgument
		static SInt32	DecodeURL(const char* inSrc, SInt32 inSrcLen, char* ioDest, SInt32 inDestLen);
		
#if STRINGTRANSLATORTESTING
		static Bool16		Test();
#endif	
};
#endif // __STRINGTRANSLATOR_H__

