/*
 * Copyright (c) 1999 Apple Computer, Inc. All rights reserved.
 *
 * @APPLE_LICENSE_HEADER_START@
 * 
 * Copyright (c) 1999 Apple Computer, Inc.  All Rights Reserved.
 * The contents of this file constitute Original Code as defined in and are 
 * subject to the Apple Public Source License Version 1.1 (the "License").  
 * You may not use this file except in compliance with the License.  Please 
 * obtain a copy of the License at http://www.apple.com/publicsource and 
 * read it before using this file.
 * 
 * This Original Code and all software distributed under the License are 
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, EITHER 
 * EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES, 
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS 
 * FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT.  Please see the License for 
 * the specific language governing rights and limitations under the 
 * License.
 * 
 * 
 * @APPLE_LICENSE_HEADER_END@
 */
/*
	File:		NetInfoPrefsSource.h

	Contains:	Implements the PrefsSource interface wrt NetInfo database

	Written by:	Denis Serenyi

	Copyright:	 1998 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

	$Log: NetInfoPrefsSource.h,v $
	Revision 1.2  2000/01/27 02:09:08  rtucker
	Merge changes from v81
	
	Revision 1.4  2000/01/19 19:39:38  serenyi
	Moved to new NEW macro
	
	Revision 1.3  1999/12/21 01:43:48  lecroy
	*** empty log message ***
	
	Revision 1.2  1999/10/21 22:36:36  serenyi
	Separated out port pref so we can have multiple defaults, added SetValueByIndex
	
	Revision 1.1.1.1  1999/09/22 23:01:32  lecroy
	importing
	
	Revision 1.1.1.1  1999/09/13 16:16:44  rtucker
	initial checkin from rrv14
	
	
	Revision 1.2  1999/06/08 20:35:34  serenyi
	Allow adding 2 values to one pref, have "rtsp_port" take advantage of this
	
	Revision 1.1  1999/06/01 20:50:04  serenyi
	new files for linux
	

*/

#ifndef __NETINFOPREFSSOURCE_H__
#define __NETINFOPREFSSOURCE_H__

#include "PrefsSource.h"
#include "OSHeaders.h"

class NetInfoPrefsSource : public PrefsSource
{
	public:
	
		NetInfoPrefsSource();
		virtual ~NetInfoPrefsSource() {}
	
		virtual int		GetValue(const char* inKey, char* ioValue);
		virtual int		GetValueByIndex(const char* inKey, UInt32 inIndex, char* ioValue);


		void 	SetValue(char* inKey, char* inValue);
		void 	SetValueByIndex(char* inKey, char* inValue, UInt32 inIndex);
};

#endif //__NETINFOPREFSSOURCE_H__
