/*
 * Copyright (c) 1999 Apple Computer, Inc. All rights reserved.
 *
 * @APPLE_LICENSE_HEADER_START@
 * 
 * Copyright (c) 1999 Apple Computer, Inc.  All Rights Reserved.
 * The contents of this file constitute Original Code as defined in and are 
 * subject to the Apple Public Source License Version 1.1 (the "License").  
 * You may not use this file except in compliance with the License.  Please 
 * obtain a copy of the License at http://www.apple.com/publicsource and 
 * read it before using this file.
 * 
 * This Original Code and all software distributed under the License are 
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, EITHER 
 * EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES, 
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS 
 * FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT.  Please see the License for 
 * the specific language governing rights and limitations under the 
 * License.
 * 
 * 
 * @APPLE_LICENSE_HEADER_END@
 */
/*
	File:		QTSSExpirationDate.h

	Contains:	Routine that checks to see if software is expired.

	Written by:	Denis Serenyi

	Copyright:	 1998 by Apple Computer, Inc., all rights reserved.

	$Log: QTSSExpirationDate.h,v $
	Revision 1.1.1.1  2000/01/17 23:36:03  wsanchez
	Import of StreamingServer-2.0 (Apple)
	
	Revision 1.3  1999/12/21 01:44:04  lecroy
	*** empty log message ***
	
	Revision 1.2  1999/10/07 08:52:43  serenyi
	Changed bool to Bool16, changed QTSS_Dictionary to QTSS_Object
	
	Revision 1.1.1.1  1999/09/22 23:01:51  lecroy
	importing
	

*/

#ifndef __QTSS_EXPIRATION_DATE_H__
#define __QTSS_EXPIRATION_DATE_H__

#include "OSHeaders.h"

class QTSSExpirationDate
{
	public:
	
		//checks current time vs. hard coded time constant.
		static Bool16	IsSoftwareExpired();
		static void		PrintExpirationDate();
		
	private:
	
		static Bool16		sIsExpirationEnabled;
		static char*	sExpirationDate;
		
};

#endif //__QTSS_EXPIRATION_DATE_H__

